How do i rectify the error i get from yum whenever i input the code sudo yum update yum i get a series of error messages. I ampresently using the fedora 9 version which i love so much

That really depends on what error messages you are getting. Have you tried to address the cause of the specific errors?

Why are you trying to update yum? It isn't necessary.

try just

sudo yum update

If there is a new version of yum it will be updated with the rest.

I have done just that and still getting the same error message

Please post the error messages here.

It would really help if you can post the error that you are getting

i cannot help without seeing error log.
please post the error i will help you

[Eyekay@localhost ~]$ sudo yum update yum
[sudo] password for Eyekay: 
Loaded plugins: aliases, allowdowngrade, auto-update-debuginfo, basearchonly,
              : changelog, download-order, downloadonly, fastestmirror,
              : fedorakmod, filter-data, kernel-module, keys, list-data, merge-
              : conf, post-transaction-actions, presto, priorities, protect-
              : packages, protectbase, refresh-packagekit, refresh-updatesd,
              : remove-with-leaves, rpm-warm-cache, security, show-leaves,
              : tmprepo, tsflags, upgrade-helper, verify, versionlock
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 311, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 159, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 190, in getOptionsConfig
    self.conf
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 705, in <lambda>
    conf = property(fget=lambda self: self._getConfig(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 267, in _getConfig
    startupconf.pluginconfpath,disabled_plugins,enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 442, in doPluginSetup
    plugin_types, confpath, disabled_plugins, enabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 160, in __init__
    self.run('config')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 177, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/tmprepo.py", line 179, in config_hook
    parser.values.tmp_repos = []
AttributeError: OptionGroup instance has no attribute 'values'

Thats the error messsage above. sorry it came late

Any good Linux CentOS 6.5 Minimal coders???? Please answer fast. I need help! And you will ofc get some money! =) Please PM Me!